%define name    ldvd
%define version 1.9.4
#%define pre 	
%define release 1andyrtr

Name:		%{name}     
Summary: 	ldvd - a ripping tool with gui
Version: 	%{version}
Release: 	%{release}
Source: 	http://projects.gff-clan.net/%{name}-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
Group: 		Video
BuildRequires:  libdvdread3-devel
URL: 		http://projects.gff-clan.net/
BuildRoot: 	%{_tmppath}/%{name}-buildroot
License: 	GPL
Requires: 	perl perl-Gtk2 transcode >= 0.6.14 dvdauthor mkisofs >= 1.15 dvd+rw-tools buffer mjpegtools >= 1.6.2
Packager:       AndyRTR <andreas.radke@freenet.de>

%description
ldvd is a perl based ripping tool with gtk-gui

%prep
%setup -q

%build
export PREFIX=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%_prefix

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="LDVD" longtitle="Simple DVD ripper" section="Multimedia/Video"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root,-)
%doc README.* COPYING HISTORY AUTHORS
%_bindir/*
%_datadir/%name-%version
%_sysconfdir/%name.conf
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Sun Mar 27 2005 AndyRTR <Andreas.Radke@freenet.de> 1.9.4-1andyrtr
- 1.9.4

* Sun Jan 16 2005 AndyRTR <Andreas.Radke@freenet.de> 1.9.3-1andyrtr
- Integration into Mandrakemen

* Sun Jan 16 2005  AndyRTR <Andreas.Radke@freenet.de> 1.9.3-0andyrtr
- Initial build for Mandrake
- SPEC taken from ldvd-1.9.3-0.src.rpm

